Package org.drinkless.tdlib

# Class TdApi.ReactionNotificationSettings

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ReactionNotificationSettings

Enclosing class:
  `TdApi`

public static class TdApi.ReactionNotificationSettings extends TdApi.Object
Contains information about notification settings for reactions and poll votes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.ReactionNotificationSource`
  `messageReactionSource`
  Source of message reactions for which notifications are shown.
  `TdApi.ReactionNotificationSource`
  `pollVoteSource`
  Source of poll votes for which notifications are shown.
  `boolean`
  `showPreview`
  True, if reaction sender and emoji must be displayed in notifications.
  `long`
  `soundId`
  Identifier of the notification sound to be played; 0 if sound is disabled; pass -1 to use the app-dependent default sound.
  `TdApi.ReactionNotificationSource`
  `storyReactionSource`
  Source of story reactions for which notifications are shown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReactionNotificationSettings()`
  Contains information about notification settings for reactions and poll votes.
  `ReactionNotificationSettings(TdApi.ReactionNotificationSource messageReactionSource, TdApi.ReactionNotificationSource storyReactionSource, TdApi.ReactionNotificationSource pollVoteSource, long soundId, boolean showPreview)`
  Contains information about notification settings for reactions and poll votes.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageReactionSource

    public TdApi.ReactionNotificationSource messageReactionSource
    Source of message reactions for which notifications are shown.

  - ### storyReactionSource

    public TdApi.ReactionNotificationSource storyReactionSource
    Source of story reactions for which notifications are shown.

  - ### pollVoteSource

    public TdApi.ReactionNotificationSource pollVoteSource
    Source of poll votes for which notifications are shown.

  - ### soundId

    public long soundId
    Identifier of the notification sound to be played; 0 if sound is disabled; pass -1 to use the app-dependent default sound.

  - ### showPreview

    public boolean showPreview
    True, if reaction sender and emoji must be displayed in notifications.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReactionNotificationSettings

    public ReactionNotificationSettings()
    Contains information about notification settings for reactions and poll votes.

  - ### ReactionNotificationSettings

    public ReactionNotificationSettings(TdApi.ReactionNotificationSource messageReactionSource, TdApi.ReactionNotificationSource storyReactionSource, TdApi.ReactionNotificationSource pollVoteSource, long soundId, boolean showPreview)
    Contains information about notification settings for reactions and poll votes.
    Parameters:
      `messageReactionSource` - Source of message reactions for which notifications are shown.
      `storyReactionSource` - Source of story reactions for which notifications are shown.
      `pollVoteSource` - Source of poll votes for which notifications are shown.
      `soundId` - Identifier of the notification sound to be played; 0 if sound is disabled; pass -1 to use the app-dependent default sound.
      `showPreview` - True, if reaction sender and emoji must be displayed in notifications.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR